# vim: set ft=spec: -*- rpm-spec -*-

Name: gcstar
Version: 1.0.0
Release: alt1

Summary: Personal collections manager
Group: Databases
License: GPL
Url: http://www.gcstar.org/

Packager: Sir Raorn <raorn@altlinux.org>

BuildArch: noarch

Source: http://download.gna.org/gcstar/%name-%version.tar
Patch: %name-%version-%release.patch

%define _perl_lib_path %perl_vendor_privlib:%_datadir/lib%name

BuildRequires: perl-base perl-Encode perl-Gtk2 perl-HTML-Parser perl-libnet perl-libwww perl-Storable perl-URI perl-XML-Parser perl-XML-Simple

%description
GCstar is an application to manage different kind of collections. It
is designed to be able to support as many type of collections as
needed. For the moment it supports these ones:

 * Movies
 * Video games
 * Books
 * User defined collections

%prep
%setup -q -n %name
%patch -p1

%build
%__subst 's,@GCS_LIB_DIR@,%_datadir/lib%name,' bin/gcstar
%__subst 's,@GCS_SHARE_DIR@,%_datadir/%name,' bin/gcstar
%__subst 's,Icon=.*$,Icon=%name,' share/applications/gcstar.desktop

%install
%__mkdir_p %buildroot{%_bindir,%_man1dir,%_datadir/{lib,}%name,%_desktopdir,%_liconsdir,%_miconsdir,%_niconsdir}

%__install -p -m755 bin/gcstar %buildroot%_bindir/
%__cp -a lib/gcstar/* %buildroot%_datadir/lib%name/
%__cp -a share/gcstar/* %buildroot%_datadir/%name/
%__install -p -m644 share/gcstar/icons/gcstar_48x48.png %buildroot%_liconsdir/%name.png
%__install -p -m644 share/gcstar/icons/gcstar_16x16.png %buildroot%_miconsdir/%name.png
%__install -p -m644 share/gcstar/icons/gcstar_32x32.png %buildroot%_niconsdir/%name.png
%__install -p -m644 share/applications/gcstar.desktop %buildroot%_desktopdir/%name.desktop
%__install -p -m644 man/* %buildroot/%_man1dir/

%post
%update_menus

%postun
%clean_menus

%files
%doc CHANGELOG README templates
%_bindir/*
%_man1dir/*
%_liconsdir/%name.png
%_miconsdir/%name.png
%_niconsdir/%name.png
%_desktopdir/%name.desktop
%_datadir/lib%name
%_datadir/%name

%changelog
* Thu Jan 04 2007 Sir Raorn <raorn@altlinux.ru> 1.0.0-alt1
- Built for Sisyphus

